Recompiling Phalcon installed by Easy Apache 3

I installed Phalcon via a default plug-in for CPanel's Easy Apache 3.

I just changed some of my settings, requiring my to recompile the system using EA3, and made the decision to upgrade PHP from 5.5 to 5.6 while I was at it.

Phalcon is no longer functional giving the error :

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20131226/phalcon.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20131226/phalcon.so: cannot open shared object file: No such file or directory in Unknown on line 0

My current php.ini extension_dir is set to "/usr/local/lib/php/extensions/no-debug-non-zts-20131226", there is no copy of the phalcon.so file in the folder.

There is however a copy of phalcon.so in the previous 5.5 exension_dir "/usr/local/lib/php/extensions/no-debug-non-zts-20121212".

I have read that I am supposed to recompile Phalcon after a PHP upgrade, but I'm not sure how to do that because I originally installed it through Easy Apache and don't want to break anything.

In a hope that I'd get away with it, I copied the file from the old directory to the new one, and restarted Apache but I get errors about the compile not matching.

PHP Warning: PHP Startup: phalcon: Unable to initialize module Module compiled with module API=20121212 PHP compiled with module API=20131226 These options need to match in Unknown on line 0

Can anyone advise what I should do?

It seems your phalcon extension was compiled for other php version, make sure you don't have any other php version installed on your machine or point phpize/php-config to right locations.